[eclipse-clp-users] java.lang.RuntimeException: Unsupported platform: Windows 7/amd64

From: David Pautler <david_at_...151...>
Date: Thu, 19 May 2011 17:38:58 +0800
Is ECLiPSe6.0 known not to work on Windows7-64bit, or can it be used there "at your own risk" by changing config somewhere?

I would guess that it isn't known not to work on Windows 64-bit because there was no check for it during installation. I discovered it through this error:

Exception in thread "clpThread" java.lang.RuntimeException: Unsupported platform: Windows 7/amd64
at com.parctechnologies.eclipse.Platform.findPlatform(Platform.java:122)
at com.parctechnologies.eclipse.Platform.getInstance(Platform.java:44)
at com.parctechnologies.eclipse.OutOfProcessEclipse.startLocalEclipse(OutOfProcessEclipse.java:198)
at com.parctechnologies.eclipse.OutOfProcessEclipse.<init>(OutOfProcessEclipse.java:73)

Is there a way to configure ECLiPSe to believe it's on, say, XP?

David
Received on Thu May 19 2011 - 09:45:56 CEST

This archive was generated by hypermail 2.2.0 : Mon Jul 09 2018 - 02:05:29 CEST